package com.goldenwater.yjjt.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.yjjt.domain.YjjtFile;
import com.goldenwater.yjjt.mapper.YjjtFileMapper;
import com.goldenwater.yjjt.service.IYjjtFileService;

/**
 * 引江济太文件Service业务层处理
 */
@Service
public class YjjtFileServiceImpl implements IYjjtFileService
{
    @Autowired
    private YjjtFileMapper yjjtFileMapper;

    @Override
    public YjjtFile selectYjjtFileById(Long id)
    {
        return yjjtFileMapper.selectYjjtFileById(id);
    }

    @Override
    public List<YjjtFile> selectYjjtFileList(YjjtFile file)
    {
        return yjjtFileMapper.selectYjjtFileList(file);
    }

    @Override
    public int insertYjjtFile(YjjtFile file)
    {
        return yjjtFileMapper.insertYjjtFile(file);
    }

    @Override
    public int deleteYjjtFileByIds(Long[] ids)
    {
        return yjjtFileMapper.deleteYjjtFileByIds(ids);
    }

    @Override
    public int deleteYjjtFileById(Long id)
    {
        return yjjtFileMapper.deleteYjjtFileById(id);
    }
}
